Search documentation of wx

# View Source wxColourData (wx v2.4.3)

This class holds a variety of information related to colour dialogs.

See:

- `wx_color()`

- `wxColourDialog`

- Overview cmndlg

wxWidgets docs: wxColourData

# Summary

## Types

wxColourData()

## Functions

destroy(This)

Destroys the object

getChooseFull(This)

Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.

getColour(This)

Gets the current colour associated with the colour dialog.

getCustomColour(This, I)

Returns custom colours associated with the colour dialog.

new()

Constructor.

setChooseFull(This, Flag)

Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.

setColour(This, Colour)

Sets the default colour for the colour dialog.

setCustomColour(This, I, Colour)

Sets custom colours for the colour dialog.

# Types

Link to this type

# wxColourData()

View Source

    -type wxColourData() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxColourData()) -> ok.

Destroys the object

Link to this function

# getChooseFull(This)

View Source

    -spec getChooseFull(This) -> boolean() when This :: wxColourData().

Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.

Has no meaning under other platforms.

The default value is true.

Link to this function

# getColour(This)

View Source

    -spec getColour(This) -> wx:wx_colour4() when This :: wxColourData().

Gets the current colour associated with the colour dialog.

The default colour is black.

Link to this function

# getCustomColour(This, I)

View Source

    -spec getCustomColour(This, I) -> wx:wx_colour4() when This :: wxColourData(), I :: integer().

Returns custom colours associated with the colour dialog.

Link to this function

# new()

View Source

    -spec new() -> wxColourData().

Constructor.

Initializes the custom colours to `wxNullColour`, the `data` colour setting to black, and the `choose` full setting to true.

Link to this function

# setChooseFull(This, Flag)

View Source

    -spec setChooseFull(This, Flag) -> ok when This :: wxColourData(), Flag :: boolean().

Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.

Under other platforms, has no effect.

The default value is true.

Link to this function

# setColour(This, Colour)

View Source

    -spec setColour(This, Colour) -> ok when This :: wxColourData(), Colour :: wx:wx_colour().

Sets the default colour for the colour dialog.

The default colour is black.

Link to this function

# setCustomColour(This, I, Colour)

View Source

    -spec setCustomColour(This, I, Colour) -> ok
                             when This :: wxColourData(), I :: integer(), Colour :: wx:wx_colour().

Sets custom colours for the colour dialog.